#993 incorrect display, frame errors

2.8.1
closed
5
2007-01-27
2007-01-06
No

Incorrect display of table data
I am using multilingual tables and my own system
phpMyAdmin 2.6.3-rc1 with MySQL 5.0.24-community-nt displays correctly the system on sourceforge does not

phpMyAdmin - 2.8.1
MySQL - 4.1.21-standard-log
MySQL charset: UTF-8 Unicode (utf8)

Note: the code displayed on my web pages are not affected by this bug, it appears that the text extracted from the table is being handled as ansi instead of unicode utf-8 as the page is rendered as utf-8

All attempts to use this in the hebrew language fail as the frames are incorrectly handled, this seems to affect arabic too!

Discussion

  • Marc Delisle

    Marc Delisle - 2007-01-06
    • assigned_to: nobody --> lem9
     
  • Marc Delisle

    Marc Delisle - 2007-01-06

    Logged In: YES
    user_id=210714
    Originator: NO

    Can you export a small table and attach the file here?

    You could also try to import it on our demo server (see phpmyadmin.net) and see what happens.

    Also, could you give more details "the frames are incorrectly handled"?
    Another point unclear to me: Why are you using one MySQL version with one phpMyAdmin version, and then another MySQL version with another phpMyAdmin version?

    Please note also that our current version is 2.9.1.1.

     
  • Peter Ivan Dunne

    Logged In: YES
    user_id=1276920
    Originator: YES

    Hi, Thanks for the prompt response
    My home system is under my control, the sourceforge.net systems I have no influence on, thus the different versions
    My home system is unaffected by the bug, its the version on sf.net that displays incorrect behaviour
    Output from my web site is unaffected, but phpmyadmin is
    Framing bug, when using Hebrew or other rtl language the frames are reversed as expected, you would expect the frames to behave accordingly, but when you select the database the table view is opened in the right frame, as per left to right, bad but not fatal...., when the navigation frame (normally left) refreshes, it opens in the right frame, in place of the navigation frame, the earlier version on my windows machine displays the correct behaviour, everything is correctly mirrored
    The attached dump is of one of the affected tables
    I use mysql_real_escape_string() on incoming data, stripslashes() to clean data for display
    the databases are utf-8 encoding, my own code displays correctly both at home and at http://nlso-web.sf.net, its just phpMyAdmin - 2.8.1 on sf.net which displays this behaviour
    Despite the bug(s), phpMyAdmin is still a superb product
    Point taken on 2.9.1.1, I will test it and let you know the result

    --
    -- Table structure for table `descriptor`
    --

    CREATE TABLE `descriptor` (
    `id` int(11) NOT NULL auto_increment,
    `englishname` varchar(127) default NULL,
    `alphaid` varchar(16) default NULL,
    `wincp` varchar(11) default NULL,
    `nativename` varchar(127) default NULL,
    `isocp` varchar(16) default NULL,
    `bidi` enum('rtl','ltr') NOT NULL default 'ltr',
    `charset` enum('ANSI','UTF-8') character set utf8 collate utf8_bin NOT NULL default 'UTF-8',
    `baselanguage` int(11) default '0',
    `country` int(11) default NULL,
    `alphadate` timestamp NOT NULL default '0000-00-00 00:00:00',
    `wincpdate` timestamp NOT NULL default '0000-00-00 00:00:00',
    `nativenamedate` timestamp NOT NULL default '0000-00-00 00:00:00',
    `isodate` timestamp NOT NULL default '0000-00-00 00:00:00',
    `bididate` timestamp NOT NULL default '0000-00-00 00:00:00',
    `chardate` timestamp NOT NULL default '0000-00-00 00:00:00',
    `baselanguagedate` timestamp NOT NULL default '0000-00-00 00:00:00',
    `countrydate` timestamp NOT NULL default '0000-00-00 00:00:00',
    `moderator` int(11) NOT NULL default '9',
    `tableexists` enum('true','false') NOT NULL default 'false',
    `acceptlang` int(11) NOT NULL default '0',
    `selectlang` int(11) NOT NULL default '0',
    PRIMARY KEY (`id`),
    UNIQUE KEY `englishname` (`englishname`),
    KEY `nativename` (`nativename`),
    KEY `wincp` (`wincp`),
    KEY `alpha` (`alphaid`,`englishname`)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=251 ;

    --
    -- Dumping data for table `descriptor`
    --

    INSERT INTO `descriptor` VALUES (45, 'Chinese Mandarin', 'zh', '0x0004', '中文', '', 'ltr', 0x5554462d38, 0, 1045, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 9, 'false', 0, 0);
    INSERT INTO `descriptor` VALUES (2, 'Hebrew', 'he', '0x040D', 'עבד\\''ה', 'ISO-8859-1', 'rtl', 0x5554462d38, 0, 1106, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 9, 'false', 0, 0);

     
  • Marc Delisle

    Marc Delisle - 2007-01-12

    Logged In: YES
    user_id=210714
    Originator: NO

    I see no frame bug with rtl languages in 2.9.1.1.

     
  • Marc Delisle

    Marc Delisle - 2007-01-12

    Logged In: YES
    user_id=210714
    Originator: NO

    I imported your table on my machine and it displays correctly with phpMyAdmin 2.9.1.1.

     
  • Marc Delisle

    Marc Delisle - 2007-01-12
    • labels: 509105 --> Internationalization
    • milestone: 603466 --> 2.8.1
    • status: open --> pending
     
  • SourceForge Robot

    • status: pending --> closed
     
  • SourceForge Robot

    Logged In: YES
    user_id=1312539
    Originator: NO

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks